# MCC Finder

Specifies a tool designed to extract the Merchant Category Code (MCC) from a given website.

## `mcc_finder`

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/mcc_finder`

### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description |
| -------------- | ------ | ------------ | ----------- |
| website\_url   | String | Yes          | Website Url |

### Sample Post Parameters

```json
{
  "website_url": "https://apple.com"
}
```

### Response

#### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "status": "completed",
  "reference_id": "05f36efb-789e-41ff-b51f-1e6e42a21db9",
  "result": {
    "title": "Apple",
    "description": "Apple is a multinational technology company that designs, manufactures, and sells consumer electronics, computer software, and online services.",
    "mcc_code": "5734",
    "mcc_category": "Computer Software Stores"
  },
  "requested_at": "2026-03-03T08:53:04.074Z",
  "completed_at": "2026-03-03T12:47:40.450Z"
}
```

#### 200: In Progress

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "715d66fa-f174-4892-b49d-4d2fe4238861",
  "status": "in_progress",
  "requested_at": "2026-03-03T08:53:04.074Z"
}
```

#### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "aaf62018-1ece-4584-ba08-6da193881b9b",
  "status": "failed",
  "error": {
    "message": "We Couldn't Identify an MCC Code for the Provided Website.",
    "code": "ERROR"
  },
  "requested_at": "2023-01-12T08:53:04.074Z",
  "completed_at": "2024-03-07T10:08:23.172Z"
}
```

## Get document details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/mcc_finder`

### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

### Response

#### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "1f61f84b-40fe-494b-9e36-22d926d0c427",
  "status": "completed",
  "result": {
    "mcc_code": "5651",
    "description": "FAMILY CLOTHING STORES",
    "category": "Clothing Stores",
    "risk_type": "medium",
    "is_highly_transactable_mcc": "-"
  },
  "requested_at": "2023-01-12T08:53:04.074Z",
  "completed_at": "2024-03-07T10:06:26.823Z"
}
```

#### 200: In Progress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "715d66fa-f174-4892-b49d-4d2fe4238861",
  "status": "in_progress",
  "requested_at": "2023-01-12T08:53:04.074Z"
}
```

#### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "aaf62018-1ece-4584-ba08-6da193881b9b",
  "status": "failed",
  "error": {
    "message": "We Couldn't Identify an MCC Code for the Provided Website.",
    "code": "ERROR"
  },
  "requested_at": "2024-01-12T08:53:04.074Z",
  "completed_at": "2024-03-07T10:08:23.172Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/business-profile/mcc-finder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
